#
# spec file for package python3-python-magic
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-python-magic
Version:        0.4.12
Release:        1.2
Summary:        File type identification using libmagic
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/ahupp/python-magic
Source:         https://files.pythonhosted.org/packages/source/p/python-magic/python-magic-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  file
Requires:       file
# python3-python-magic and python3-magic use the same namespace (ie. filename)
# and have a very similar functionality but are incompatible to each other.
# Upstream discussions:
# https://github.com/ahupp/python-magic/issues/21
# https://github.com/ahupp/python-magic/issues/33
# https://github.com/ahupp/python-magic/issues/57
Conflicts:      python3-magic
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This module uses ctypes to access the libmagic file type
identification library.  It makes use of the local magic database and
supports both textual and MIME-type output.

%prep
%setup -q -n python-magic-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Fri Oct 28 2016 sebix+novell.com@sebix.at
- File conflict with package python3-magic from `file` package.
  Incompatible APIs with the same name.
* Thu Jul  7 2016 arun@gmx.de
- update to version 0.4.12:
  * Return str rather than bytes for the description strings on
    python3. Assumes utf-8 encoding from magic return values, which I
    hope is always the case.
  * propagate exception in other branch of 509 hack
  * Fix typos in README.md
  * what did 3.2 ever do for you
  * hopefully fix tests on whatever travisci uses
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 26 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.4.11:
  * restore test dir
  * rename the unicode lambda file to "lambda" and rename it at
    runtime when running the test. distutils can't handle unicode
    filenames at install time.
  * Update README.md
  * Match license= to LICENSE, Add Python 2 to Trove
  * Force use trusty
  * Add Python 3 trove classifier.
  * Fix travis config
  * Fix MagicException
  * force GMT so test runs consistently
* Sun Oct 25 2015 arun@gmx.de
- specfile:
  * adjusted license to MIT
- update to version 0.4.10:
  * removal of spurious file
- changes from version 0.4.9:
  * pruning of test/ dir
  * remove spurious newlines
  * update test output for libmagic in debian jessie
  * Replace per-thread Magic instance with a lock.
- changes from version 0.4.8:
  * add distutils manifest
  * update license classifier
- changes from version 0.4.7:
  * Include tests in the sdist tarball
  * Change windows instructions
  * Updated README.md
  * simple test script, ensuring correct env
  * silence open file warnings in python 3
  * Fixed 'ImportError: failed to find libmagic.  Check your
    installation' when using cygwin's python
  * Add support for MAGIC_COMPRESS through Magic constructor.
  * Always use utf-8 regardless of filesystem encoding
  * fix license in setup.py to match LICENSE file
  * Workaround sys.version_info not being a named tuple on py26
  * Add some classifiers for PyPI
  * Add python 3.3 travis target
  * find library in windows if cygwin path is added to PATH
  * remove extra import sys
  * Properly handle unicode filenames given in both byte-str and
    unicode values, across both python 3 and 2.
  * Relicense under the MIT license (apparently the PSF one isn't
    appropriate) and distribute text with the code.
  * Replace windows docs with cygwin instructions/path
  * Fixed issue with flags
  * Hypothetical fix for issue
    https://github.com/ahupp/python-magic/issues/47
* Tue Feb  3 2015 toddrme2178@gmail.com
- Explicitly require file
* Mon Feb  2 2015 toddrme2178@gmail.com
- Initial version
